%define module  icalendar

Name:           python-%{module}
Version:        3.9.2
Release:        %mkrel 2
Summary:        Parser/generator of iCalendar files following the RFC 2445
Group:          Development/Python
License:        BSD
URL:            https://github.com/collective/icalendar
Source0:        https://pypi.python.org/packages/source/i/icalendar/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pytz)
BuildRequires:  pythonegg(2)(python-dateutil)

%description
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

#------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Parser/generator of iCalendar files following the RFC 2445 for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pytz)
BuildRequires:  pythonegg(3)(python-dateutil)

%description -n python3-%{module}
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python 3. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

#------------------------------------------------------------------
%prep
%autosetup -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} %py_setup test
%{__python3} %py_setup test

%files
%doc README.rst CHANGES.rst docs
%license LICENSE.rst
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst CHANGES.rst docs
%license LICENSE.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Apr 28 2016 tv <tv> 3.9.2-2.mga6
+ Revision: 1007124
- use new python macros

* Mon Feb 08 2016 daviddavid <daviddavid> 3.9.2-1.mga6
+ Revision: 943886
- new version: 3.9.2

* Wed Oct 07 2015 daviddavid <daviddavid> 3.9.1-2.mga6
+ Revision: 886831
- rebuild for python 3.5

* Wed Sep 09 2015 daviddavid <daviddavid> 3.9.1-1.mga6
+ Revision: 874790
- new version: 3.9.1
- use new python macros
- introduce license macro

* Sun Jun 21 2015 daviddavid <daviddavid> 3.9.0-1.mga6
+ Revision: 837984
- new version: 3.9.0
- add more docs

* Wed Oct 15 2014 umeabot <umeabot> 3.8.3-4.mga5
+ Revision: 747982
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.8.3-3.mga5
+ Revision: 728737
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.8.3-2.mga5
+ Revision: 688084
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 daviddavid <daviddavid> 3.8.3-1.mga5
+ Revision: 669064
- new version: 3.8.3

* Sat Aug 23 2014 daviddavid <daviddavid> 3.8.2-1.mga5
+ Revision: 666668
- update Url
- provide python3 subpackage
- new version: 3.8.2

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.5-3.mga4
+ Revision: 543423
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.5-2.mga4
+ Revision: 498721
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 29 2013 nmartin <nmartin> 3.5-1.mga4
+ Revision: 489341
- update to new version 3.5

* Sat Jun 08 2013 spuhler <spuhler> 3.4-1.mga4
+ Revision: 440380
- upgrade to ver 2.4
- removed the changelog section
- added BuildRequires and Reqires: python-dateutil

* Fri Feb 08 2013 spuhler <spuhler> 3.2-3.mga3
+ Revision: 395286
- replaced BuildRequires: python-distribute with python-setuptools

* Sun Jan 13 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 378978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 spuhler <spuhler> 3.2-1.mga3
+ Revision: 339671
- initial build
- imported package python-icalendar

